<h1 align="center">hexo-theme-async</h1>

<div align="center">

[Github](https://github.com/MaLuns/hexo-theme-async) ｜
[Demo](https://hexo-theme-async.imalun.com/demosite/) ｜
[Preview](https://www.imalun.com) ｜
[Docs](https://hexo-theme-async.imalun.com/)

A simple & lightweight theme for Hexo.

</div>

<p align="center">
  <a title="Github release" target="_blank" href="https://github.com/MaLuns/hexo-theme-async/releases">
    <img alt="GitHub release (latest by date)" src="https://img.shields.io/github/v/release/Maluns/hexo-theme-async?logo=github">
  </a>
  <a title="Npm Version" target="_blank" href="https://www.npmjs.com/package/hexo-theme-async">
    <img src="https://img.shields.io/npm/v/hexo-theme-async?logo=npm&color=%09%23bf00ff" alt="https://img.shields.io/npm/v/hexo-theme-async?color=%09%23bf00ff">
  </a>
  <a title="Hexo Version" target="_blank" href="https://hexo.io/zh-cn/">
    <img src="https://img.shields.io/badge/hexo-6.3.0+-0e83c?logo=hexo" alt="hexo version">
  </a>
  <img src="https://img.shields.io/badge/v14.x-x?logo=node.js&label=node" alt="node version">
  <img src="https://img.shields.io/github/languages/code-size/MaLuns/hexo-theme-async?logo=Visual Studio Code&logoColor=blue" alt="GitHub code size in bytes">
  <a title="GitHub Discussions" target="_blank" href="https://github.com/MaLuns/hexo-theme-async/discussions">
    <img src="https://img.shields.io/github/discussions/MaLuns/hexo-theme-async?color=9cf&logo=github" alt="GitHub Discussions">
  </a>
  <a title="SATA License" target="_blank" href="https://github.com/zTrix/sata-license">
    <img src="https://img.shields.io/badge/license-SATA-green.svg" alt="SATA License">
  </a>
</p>

<p align="center">
  🇬🇧 English | 
  <a title="Chinese" href="README_zh-CN.md"> 🇨🇳 中文简体 </a> 
</p>

<p align="center">
  <img width="80%" style="border-radius:8px;" src="docs/public/imgs/demo2.png" alt="demo.png" border="0" />
</p>

## Docs

A detailed usage document can solve most of your unclear points 🤣

- Chinese documentation: 
    - <https://hexo-theme-async.imalun.com> (dev)
    - <https://async-docs.imalun.com> (master)
- English documentation: 
    - <https://hexo-theme-async.imalun.com/en/guide/> (dev)
    - <https://async-docs.imalun.com/en/guide/> (master)

## Installation
In your hexo folder:

``` bash
npm install --save hexo-theme-async hexo-renderer-less hexo-renderer-ejs
```

or

``` bash
yarn add --save hexo-theme-async hexo-renderer-less hexo-renderer-ejs
```

You can override the theme._config.yml configuration in \_config.async.yml,Can refer to [Hexo Docs](https://hexo.io/zh-cn/docs/configuration#%E4%BD%BF%E7%94%A8%E4%BB%A3%E6%9B%BF%E4%B8%BB%E9%A2%98%E9%85%8D%E7%BD%AE%E6%96%87%E4%BB%B6)


## Upgrade

You just need to execute:

``` bash
npm install hexo-theme-async@latest
```
## Contribution
Your contribution is very welcome. You can build it together in the following ways :smiley:

- Use [Issue](https://github.com/MaLuns/hexo-theme-async/issues) to report bugs or consult.
- Suggestions and questions are welcome to discuss at [Discussions](https://github.com/MaLuns/hexo-theme-async/discussions).
- Submit Pull Request to improve hexo-theme-async code.

## License

We use [SATA License](https://github.com/zTrix/sata-license).

> You don’t know what this means? In short, if you use this theme, you need to Star this repo non-stop, and then you can use it anyway you like.

## Demo Sites

If you are using this theme, welcome to leave your site in [Demo Sites | Example Site | Discussions](https://github.com/MaLuns/hexo-theme-async/discussions/7), and I will add it to the sample site below.

<!-- demo-start -->
<table>
  <tr align="center">
        <td>
            <a href="https://hexo-theme-async.imalun.com/demosite/" target="_blank">
                <img width="80px" src="https://hexo-theme-async.imalun.com/demosite/img/favicon.svg" />
                <br />
                <sub title="主题默认示例">默认示例</sub>
            </a>
        </td>
        <td>
            <a href="https://www.imalun.com" target="_blank">
                <img width="80px" src="https://www.imalun.com/images/avatar.jpg" />
                <br />
                <sub title="醒，亦在人间；梦，亦在人间。">白云苍狗</sub>
            </a>
        </td>
        <td>
            <a href="https://yxy.imalun.com" target="_blank">
                <img width="80px" src="https://yxy.imalun.com/images/avatar.gif" />
                <br />
                <sub title="两人对酌山花开，一杯一杯复一杯。我醉欲眠卿且去，明朝有意抱琴来。">游小游</sub>
            </a>
        </td>
        <td>
            <a href="https://grainrain.site/" target="_blank">
                <img width="80px" src="https://cdn.luogu.com.cn/upload/usericon/746291.png" />
                <br />
                <sub title="世事漫随流水 算来一生浮梦">谷雨</sub>
            </a>
        </td>
        <td>
            <a href="https://blog.offends.cn" target="_blank">
                <img width="80px" src="https://blog.offends.cn/img/avatar.png" />
                <br />
                <sub title="现充爆炸吧">Offends</sub>
            </a>
        </td>
        <td>
            <a href="https://hexo.yahoo94.love" target="_blank">
                <img width="80px" src="https://yahoo94.love/upload/2022/11/11.png" />
                <br />
                <sub title="再过十年，我们还是过着今天。">乌冬</sub>
            </a>
        </td>
        <td>
            <a href="https://blog.gfxgy.cn/" target="_blank">
                <img width="80px" src="https://blog.gfxgy.cn/img/my.jpg" />
                <br />
                <sub title="桃之夭夭，灼灼其华。">怵.</sub>
            </a>
        </td>
        <td>
            <a href="https://www.tacg.ink/" target="_blank">
                <img width="80px" src="https://cdn.jsdelivr.net/gh/TACGqwq/TACGstorage/Blog/TACG.jpg" />
                <br />
                <sub title="记录生活，找寻生活的方向">TACG</sub>
            </a>
        </td>
    </tr>
    <tr align="center">
        <td>
            <a href="https://blog.shawn404.top/" target="_blank">
                <img width="80px" src="https://blog.shawn404.top/img/logo.svg" />
                <br />
                <sub title="Strive hard and work novelty">Shawn's Blog</sub>
            </a>
        </td>
				<td>
            <a href="https://dracewang.github.io/" target="_blank">
                <img width="80px" src="https://s2.loli.net/2023/10/09/XwlqZH67cJo2NC5.jpg" />
                <br />
                <sub title="江湖险恶，不行就撤">Hexagon</sub>
            </a>
        </td>
				<td>
            <a href="https://cyphersun.github.io/" target="_blank">
                <img width="80px" src="https://hexo-theme-async.imalun.com/demosite/img/favicon.svg" />
                <br />
                <sub title="吾日百省，知行合一">Cypher Sun</sub>
            </a>
        </td>
      </tr>
</table>
<!-- demo-end -->